Subject: Re: [PATCH v4 3/3] config: add '--show-origin' option to print the origin of a config value

From: Ramsay Jones <[email-masked]>
Date: Mon, 15 Feb 2016 22:39:52 +0000

On 15/02/16 21:40, Jeff King wrote:
> On Mon, Feb 15, 2016 at 09:36:23PM +0000, Ramsay Jones wrote:
> 
>>> +test_expect_success '--show-origin stdin' '
>>> +	cat >expect <<-\EOF &&
>>> +		stdin:	user.custom=true
>>
>> So, as with the previous patch, I think this should be:
>> 		file:<stdin>	user.custom=true
> 
> That's ambiguous with a file named "<stdin>", which was the point of
> having the two separate prefixes in the first place.
> 
> I think in practice we _could_ get by with an ambiguous output (it's not
> like "<stdin>" is a common filename), but that was discussed earlier in
> the thread, and Lars decided to go for something unambiguous.

sure, I just don't think it would cause a problem in practice.
How about using '-' for <stdin>? Hmm, you can actually create
such a file in the filesystem! Oh well, I guess its not a big deal.

> 
> That doesn't necessarily have to bleed over into the error messages,
> though (which could continue to use "<stdin>" if we want to put in a
> little extra code to covering the cases separately.

Yep.

ATB,
Ramsay Jones